type Options = {
    prepend: string;
    append: string;
    delimiter: string;
    startDelimiter: string;
    endDelimiter: string;
    extend: number;
    override?: Partial<typeof CHARACTER_TABLE>;
};
export declare const DEFAULT_OPTIONS: Options;
export declare const CHARACTER_TABLE: {
    A: string;
    a: string;
    B: string;
    b: string;
    C: string;
    c: string;
    D: string;
    d: string;
    E: string;
    e: string;
    F: string;
    f: string;
    G: string;
    g: string;
    H: string;
    h: string;
    I: string;
    i: string;
    J: string;
    j: string;
    K: string;
    k: string;
    L: string;
    l: string;
    N: string;
    n: string;
    O: string;
    o: string;
    P: string;
    p: string;
    Q: string;
    q: string;
    R: string;
    r: string;
    S: string;
    s: string;
    T: string;
    t: string;
    U: string;
    u: string;
    W: string;
    w: string;
    Y: string;
    y: string;
    Z: string;
    z: string;
};
export declare const pseudoloc: {
    version: string;
    option: {
        prepend: string;
        append: string;
        delimiter: string;
        startDelimiter: string;
        endDelimiter: string;
        extend: number;
        override?: Partial<{
            A: string;
            a: string;
            B: string;
            b: string;
            C: string;
            c: string;
            D: string;
            d: string;
            E: string;
            e: string;
            F: string;
            f: string;
            G: string;
            g: string;
            H: string;
            h: string;
            I: string;
            i: string;
            J: string;
            j: string;
            K: string;
            k: string;
            L: string;
            l: string;
            N: string;
            n: string;
            O: string;
            o: string;
            P: string;
            p: string;
            Q: string;
            q: string;
            R: string;
            r: string;
            S: string;
            s: string;
            T: string;
            t: string;
            U: string;
            u: string;
            W: string;
            w: string;
            Y: string;
            y: string;
            Z: string;
            z: string;
        }> | undefined;
    };
    reset(): void;
    table: {
        A: string;
        a: string;
        B: string;
        b: string;
        C: string;
        c: string;
        D: string;
        d: string;
        E: string;
        e: string;
        F: string;
        f: string;
        G: string;
        g: string;
        H: string;
        h: string;
        I: string;
        i: string;
        J: string;
        j: string;
        K: string;
        k: string;
        L: string;
        l: string;
        N: string;
        n: string;
        O: string;
        o: string;
        P: string;
        p: string;
        Q: string;
        q: string;
        R: string;
        r: string;
        S: string;
        s: string;
        T: string;
        t: string;
        U: string;
        u: string;
        W: string;
        w: string;
        Y: string;
        y: string;
        Z: string;
        z: string;
    };
    pad(str: string, percent: number): string;
    str(str: string): string;
};
export default pseudoloc;
