import { Interpolation } from '@cloudflare/intl-types';
export function trans(strings) {
  for (var _len = arguments.length, keys = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    keys[_key - 1] = arguments[_key];
  }
  var string = strings.reduce((accum, str, i) => {
    var result = accum + str;
    var paramName = keys[i];
    if (typeof paramName === 'string') {
      result += "%{".concat(paramName, "}");
    }
    return result;
  }, '');
  return new Interpolation(string, keys);
}