"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  Translator: true,
  makeLoadPhrases: true
};
Object.defineProperty(exports, "Translator", {
  enumerable: true,
  get: function get() {
    return _Translator.default;
  }
});
Object.defineProperty(exports, "makeLoadPhrases", {
  enumerable: true,
  get: function get() {
    return _makeLoadPhrases.default;
  }
});
var _Translator = _interopRequireDefault(require("./Translator"));
var _makeLoadPhrases = _interopRequireDefault(require("./makeLoadPhrases"));
var _intlTypes = require("@cloudflare/intl-types");
Object.keys(_intlTypes).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _intlTypes[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _intlTypes[key];
    }
  });
});
var _prepare = require("./prepare");
Object.keys(_prepare).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _prepare[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _prepare[key];
    }
  });
});
var _Interpolation = require("./Interpolation");
Object.keys(_Interpolation).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _Interpolation[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _Interpolation[key];
    }
  });
});
var _errors = require("./errors");
Object.keys(_errors).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _errors[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _errors[key];
    }
  });
});
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }